For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assets

Deprecated

Get Asset Groups

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageintegerOptionalDefault: 1
Responses
200Success
application/json
totalintegerOptionalExample: 50
get/assets/groups
200Success
Deprecated

Get Assets

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageintegerOptionalDefault: 1
assetstringOptional

Comma separated asset IDs

Example: cksq4ybpq104zwgwh2gd1vvha
customreferencestringOptional

Comma separated asset custom references

Example: CustomReference1,CustomReference2
Responses
200Success
application/json
totalintegerOptionalExample: 9250
get/assets
200Success
Deprecated

Create Asset

post
  • Triggers the asset webhook.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Body
namestringRequired
parentAssetstring · UID · nullableOptional

Parent asset or asset group ID. If null is provided, the asset will be created in an asset group called "Created by API"

customReferencestringOptional
skipWebhookbooleanOptionalDefault: false
Responses
200Success
application/json
idstring · UIDOptionalExample: yok0w80s0sckwwgo0c8sko4o
post/assets
Deprecated

Get Asset Tree

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Responses
200Success
application/json
get/assets/tree
200Success
Deprecated

Update Asset

patch

Update an asset's name and address.

  • Triggers the asset webhook.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
assetIdstring · UIDRequired
Body
namestringOptional
customReferencestringOptional
skipWebhookbooleanOptionalDefault: false
Responses
204Success
patch/assets/{assetId}
Deprecated

Move Asset

patch

Move an asset to a different position in the asset tree; either below an asset group or another asset.

  • Triggers the asset webhook.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
assetIdstring · UIDRequired
Body
parentAssetstring · UIDRequired
skipWebhookbooleanOptionalDefault: false
Responses
204Success
patch/assets/{assetId}/parent
Deprecated

Get Asset Team Users

get

Get a list of users responsible for teams for all assets in your organisation.

  • Responsible users are auto-assigned to tasks that are assigned to their team.

  • Users are automatically given access to assets they are responsible for.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
assetstring · UIDOptional

Comma separated asset IDs

Example: cksq4ybpq104zwgwh2gd1vvha
userstring · UIDOptional

Comma separated user IDs

Example: cksq4xkxh012173wh9agrq0iz
includeinheritedbooleanOptional

Responsibility is inherited down the asset tree. By default this endpoint will list responsbility which has been set explicitly. Set this to true to include inherited responsibility.

Default: falseExample: true
Responses
200Success
application/json
get/assets/teamusers
200Success
Deprecated

Add Asset Team Users

patch

Set which users are responsible for teams at this asset.

  • Users are added as members of the team if they aren't already. Triggers the team webhook if users are added to the team.

  • Invalid user IDs are silently ignored.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
assetIdstring · UIDRequired
Body
teamstring · UIDRequired
usersstring · UID[]Required
skipWebhookbooleanOptionalDefault: false
Responses
204Success
patch/assets/{assetId}/teamusers/add
Deprecated

Remove Asset Team Users

patch

Remove users as responsible for teams at this asset.

  • Users are unassigned from any tasks they were auto-assigned to.

  • Invalid user IDs are silently ignored.

  • Users are not removed as members of the team.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
assetIdstring · UIDRequired
Body
teamstring · UIDRequired
usersstring · UID[]Required
Responses
204Success
patch/assets/{assetId}/teamusers/remove

Last updated

Was this helpful?